MV(1)

NAZWA
mv - przenosi (przemianowuje) pliki

SKŁADNIA
mv [OPCJA]... [-T] ŹRÓDŁO CEL
mv [OPCJA]... ŹRÓDŁO... KATALOG
mv [OPCJA]... -t KATALOG ŹRÓDŁO...

OPIS

Zmienia nazwę ŹRÓDŁA na CEL lub przenosi ŹRÓDŁO/ŹRÓDŁA do KATALOGU.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

--debug
    tłumaczy, jak plik jest kopiowany. Wymusza -v

--exchange
    exchange source and destination

-f, --force
    nie pyta przed nadpisywaniem

-i, --interactive
    pyta przed nadpisywaniem

-n, --no-clobber
    nie nadpisuje istniejącego pliku

Jeśli zostanie podana więcej niż jedna opcja z -i, -f lub -n, jedynie ostatnia jest brana pod uwagę.

--no-copy
    nie kopiuje, gdy zmiana nazwy się nie powiedzie

--strip-trailing-slashes
    usuwa końcowe ukośniki z każdego argumentu ŹRÓDŁO

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka kopii zapasowej zamiast domyślnego

-t, --target-directory=KATALOG
    przenosi wszystkie argumenty ŹRÓDŁO do KATALOGU

-T, --no-target-directory
    traktuje CEL jako zwykły plik

--update[=AKTUALIZUJ]
    kontroluje, które z istniejących plików mają być aktualizowane; AKTUALIZUJ={ all (wszystkie), none (żadne), none-fail (żadne-przerwij), older (starsze-domyślnie) }.

-u  równoważne --update[=older]. Zob. niżej

-v, --verbose
    wypisuje bieżące działania

-Z, --context
    ustawia kontekst bezpieczeństwa SELinux pliku docelowego na domyślny

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AKTUALIZUJ kontroluje które z istniejących plików w celu mają być zastąpione. all jest domyślną operacją, gdy nie poda się opcji --update i powoduje zastąpienie wszystkich istniejących plików w lokalizacji docelowej. none zachowuje się jak opcja --no-clobber tj. żaden z plików w celu nie jest zastępowany, a pomijane pliki nie prowadzą do niepowodzenia programu. none-fail również zapewnia, że pliki w celu nie są zastępowane, lecz informacja o pomijanych plikach jest diagnozowana i skutkuje niepowodzeniem. older jest domyślną operacją, gdy poda się --update i powoduje zastępowanie plików, gdy są starsze niż odpowiadającym im plik źródłowy.

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

AUTOR
Napisane przez Mike'a Parkera, Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
rename(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/mv>
lub lokalnie, za pomocą info '(coreutils) mv invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.